Page MenuHomePhabricator

Create block restrictions related classes
Closed, ResolvedPublic

Description

As part of our work with partial blocks we need some common code to handle restrictions related logic.

Event Timeline

dmaza created this task.Aug 16 2018, 4:52 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 16 2018, 4:52 AM
dmaza added a subscriber: dbarratt.Aug 16 2018, 4:53 AM

@dbarratt feel free to update this ticket with a proper title/description :)

Change 453081 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[mediawiki/core@master] [WIP] Add block restriction classes

https://gerrit.wikimedia.org/r/453081

dbarratt claimed this task.Aug 28 2018, 9:25 PM
dbarratt moved this task from Review to In progress on the Anti-Harassment (AHT Sprint 28) board.

Change 456666 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[mediawiki/core@master] [WIP] Add enforce partial blocks

https://gerrit.wikimedia.org/r/456666

Change 453081 merged by jenkins-bot:
[mediawiki/core@master] Add block restriction classes

https://gerrit.wikimedia.org/r/453081

dbarratt closed this task as Resolved.Oct 24 2018, 3:06 PM
dbarratt moved this task from Review to Done on the Anti-Harassment (AHT Sprint 31) board.